Skip to main content

validateaddress

validateaddress "address"

Return information about the given reddcoin address.

Argument #1 - address

Type: string, required

The reddcoin address to validate

Result

{ (json object)
"isvalid" : true|false, (boolean) If the address is valid or not
"address" : "str", (string) The reddcoin address validated
"scriptPubKey" : "hex", (string) The hex-encoded scriptPubKey generated by the address
"isscript" : true|false, (boolean) If the key is a script
"iswitness" : true|false, (boolean) If the address is a witness address
"witness_version" : n, (numeric, optional) The version number of the witness program
"witness_program" : "hex", (string, optional) The hex value of the witness program
"error" : "str" (string, optional) Error message, if any
}

Examples

reddcoin-cli validateaddress "bc1q09vm5lfy0j5reeulh4x5752q25uqqvz34hufdl"
curl --user myusername --data-binary '`{"jsonrpc": "1.0", "id": "curltest", "method": "validateaddress", "params": ["bc1q09vm5lfy0j5reeulh4x5752q25uqqvz34hufdl"]}`' -H 'content-type: text/plain;' http://127.0.0.1:45443/